Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class DeleteCalendarEntries

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.DeleteCalendarEntries

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class DeleteCalendarEntries

extends java.lang.Object
implements OSAction<VoidResult>

Deletes the Calendar Entries identified by their GUID (e.g. Working Day Exclusions and Recurring Exclusions). The deleted entries cannot be recovered. If any of the entries fails to be deleted, non of the listed entries will be deleted. The request must include a version number that will be compared against the value held by the identified Calendar entry. If the values don't match, the request will fail with a "concurrency exception".

Constructor Summary
`DeleteCalendarEntries()`
`DeleteCalendarEntries(int version, java.lang.String nameSpace, java.lang.String name, java.lang.String[] guids)` Deletes the Calendar Entries identified by their GUID (e.g.

Method Summary
`java.lang.String[]` | `getGuids()` Gets the GUIDs.
`java.lang.String` | `getName()` Gets the name.
`java.lang.String` | `getNameSpace()` Gets the namespace.
`int` | `getVersion()` Gets the version.
`void` | `setGuids(java.lang.String[] guids)` Sets the GUIDs.
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setNameSpace(java.lang.String nameSpace)` Sets the namespace.
`void` | `setVersion(int version)` Sets the version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteCalendarEntries

    public DeleteCalendarEntries()

### DeleteCalendarEntries

    public DeleteCalendarEntries(int version,
                                 java.lang.String nameSpace,
                                 java.lang.String name,
                                 java.lang.String[] guids)

  Deletes the Calendar Entries identified by their GUID (e.g. Working Day Exclusions and Recurring Exclusions). The deleted entries cannot be recovered. If any of the entries fails to be deleted, non of the listed entries will be deleted. The request must include a version number that will be compared against the value held by the identified Calendar entry. If the values don't match, the request will fail with a "concurrency exception". *

  Parameters:
    `version` -
    `nameSpace` -
    `name` -
    `guids` -

Method Detail

### getVersion

    public int getVersion()

  Gets the version.

  Returns:

### setVersion

    public void setVersion(int version)

  Sets the version.

  Parameters:
    `version` -

### getNameSpace

    public java.lang.String getNameSpace()

  Gets the namespace.

  Returns:

### setNameSpace

    public void setNameSpace(java.lang.String nameSpace)

  Sets the namespace.

  Parameters:
    `nameSpace` -

### getName

    public java.lang.String getName()

  Gets the name.

  Returns:

### setName

    public void setName(java.lang.String name)

  Sets the name.

  Parameters:
    `name` -

### getGuids

    public java.lang.String[] getGuids()

  Gets the GUIDs.

  Returns:

### setGuids

    public void setGuids(java.lang.String[] guids)

  Sets the GUIDs.

  Parameters:
    `guids` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.